# Get Deployed State

Status of changeset deployment as part of execution with comparison to earlier state.

Endpoint: POST /v1/orgs/{org}/projects/{project}/dbschema/{dbschema}/instance/{dbinstance}/deployedState
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `dbschema` (string, required)
    Identifier of the database schema

  - `dbinstance` (string, required)
    database instance unique id

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items on each page.

  - `limit` (integer)
    Pagination: Number of items to return.

## Request fields (application/json):

  - `pipeline` (string, required)
    identifier of the pipeline

  - `planExecutionId` (string, required)

  - `stageExecutionId` (string, required)

  - `startTime` (integer)
    start time of step execution

  - `stepType` (string, required)
    Enum: "DBSchemaApply", "DBSchemaRollback"

## Response 200 fields (application/json):

  - `author` (string, required)

  - `changeSetFQN` (string, required)
    changesetFQN is a unique identifier for database changesets in the format filename::changesetId::author

  - `changeSetId` (string, required)

  - `command` (string, required)
    Type of the plugin command to run
    Enum: "Update", "Validate", "History", "Tag", "Rollback", "RollbackCount", "RollbackCountSQL", "UpdateSQL", "Clone", "Custom", "ParentWrapper", "RollbackSQL", "Status", "MarkNextChangesetRan", "DBOPSUpdateSQL", "DBOPSRollbackSQL", "DBOPSRollbackCountSQL", "DBOPSSnapshot"

  - `comment` (string)
    comment in changeset definition

  - `deployedAt` (integer)

  - `deployedInCurrentExecution` (boolean, required)
    if changeset run as part of current step execution

  - `fileName` (string, required)

  - `label` (string)
    label in changeset definition

  - `metadata` (object, required)
    Properties related to pipeline execution

  - `metadata.pipeline` (string, required)

  - `metadata.planExecutionId` (string, required)

  - `metadata.stageExecutionId` (string, required)

  - `status` (string, required)
    Enum: "IN_PROGRESS", "SUCCESS", "FAILURE", "CANCELLED"

  - `tag` (string)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail


